Bug 1759358 - uboot-tools-2019.10 is available
Summary: uboot-tools-2019.10 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F31FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2019-10-07 23:24 UTC by Upstream Release Monitoring
Modified: 2019-10-11 23:18 UTC (History)
8 users (show)

Fixed In Version: uboot-tools-2019.10-2.fc31
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-11 23:18:13 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-10-07 23:24:43 UTC
Latest upstream release: 2019.10
Current version/release in rawhide: 2019.10-0.5.rc4.fc32
URL: http://www.denx.de/wiki/U-Boot/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/5022/

Comment 1 Upstream Release Monitoring 2019-10-07 23:24:48 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- arm-boards
- arm-chromebooks
- aarch64-boards
- aarch64-chromebooks
- 10-devicetree.install

Comment 2 Fedora Update System 2019-10-08 22:13:41 UTC
FEDORA-2019-d9b994c6bc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9b994c6bc

Comment 3 Fedora Blocker Bugs Application 2019-10-08 22:16:35 UTC
Proposed as a Blocker for 31-final by Fedora user pbrobinson using the blocker tracking app because:

 This is the GA release of U-Boot 2019.10. It was released today. We currently have the RC4 pre release of it. This just moves us from the last RC release of 2019.10 to the GA release.

This fixes issues on a number of issues on a number of key Arm devices including NXP i.MX6, Rockchips, BeagleBone and Tegra devices.

Comment 4 Adam Williamson 2019-10-08 22:26:48 UTC
Are you saying that going from RC4 to GA fixes those issues? How bad are the issues?

I can see a freeze exception, but unless the uboot we currently have is flat out not booting on a supported device, I don't see that it's a blocker.

Comment 5 Fedora Update System 2019-10-09 03:25:40 UTC
uboot-tools-2019.10-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9b994c6bc

Comment 6 Peter Robinson 2019-10-09 07:52:32 UTC
(In reply to Adam Williamson from comment #4)
> Are you saying that going from RC4 to GA fixes those issues? How bad are the
> issues?
> 
> I can see a freeze exception, but unless the uboot we currently have is flat
> out not booting on a supported device, I don't see that it's a blocker.

There are devices that don't boot with that U-Boot hence the request for Blocker.

Comment 7 Fedora Update System 2019-10-09 22:29:57 UTC
FEDORA-2019-d9b994c6bc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9b994c6bc

Comment 8 Fedora Update System 2019-10-10 14:33:51 UTC
uboot-tools-2019.10-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9b994c6bc

Comment 9 Adam Williamson 2019-10-10 15:29:29 UTC
I'd like to know *which* devices and if they're on the supported platforms list before voting on blocker, but certainly +1 FE if it fixes boot issues.

Comment 10 Peter Robinson 2019-10-10 15:36:16 UTC
(In reply to Adam Williamson from comment #9)
> I'd like to know *which* devices and if they're on the supported platforms
> list before voting on blocker, but certainly +1 FE if it fixes boot issues.

* Rock960 (IoT reference device)
* RockPro64, Rock64 and possibly other rockchips devices
* Hummingboard2 (and likely it's other related siblings such as various CuBox-i devices) and Wanboard - these are quite widely used ARMv7 devices
* Udoo Neo
* Possibly a number of other i.MX6 devices we support that I don't have to test
* The NVidia Jetson TX series of devices - arm64 based, including the Jetson TX1, TX2 and Nano.

Comment 11 Peter Robinson 2019-10-10 15:36:51 UTC
At least those, there's a bunch of other possibilities that were fixed that I can't actually verify.

Comment 12 Kevin Fenzi 2019-10-10 17:38:10 UTC
Definitely +1 FE. I guess I am a weak +1 blocker too based on some of those devices being on our supported arm hardware list.

Comment 13 Mohan Boddu 2019-10-10 17:40:39 UTC
Based on number of boards its affecting, I am inclined towards +1 Blocker

Comment 14 Ben Cotton 2019-10-10 17:42:12 UTC
+1 blocker, since it affects an IoT reference device

Comment 15 Adam Williamson 2019-10-10 18:02:50 UTC
well, the supported hardware page does specify "RockChips based devices" - https://fedoraproject.org/wiki/Architectures/ARM - so I guess I can go +1 on that basis. That's +4ish, so let's say accepted.

Comment 16 Peter Robinson 2019-10-11 07:17:24 UTC
(In reply to Adam Williamson from comment #15)
> well, the supported hardware page does specify "RockChips based devices" -
> https://fedoraproject.org/wiki/Architectures/ARM - so I guess I can go +1 on
> that basis. That's +4ish, so let's say accepted.

The IoT Reference device page explicitly mentions the Rock960:

https://docs.fedoraproject.org/en-US/iot/reference-platforms/

The upstream docs git repo for reference:
https://pagure.io/fedora-iot/iot-docs/commits/master

Comment 17 Adam Williamson 2019-10-11 15:28:51 UTC
Sure, but AFAIK IoT is not release blocking. No IoT deliverable is listed at https://fedoraproject.org/wiki/Releases/31/ReleaseBlocking .

Comment 18 Fedora Update System 2019-10-11 23:18:13 UTC
uboot-tools-2019.10-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.